This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 708664

Summary: Review Request: jp2a - an utility for converting JPEG images to ASCII
Product: [Fedora] Fedora Reporter: Andres <morpheusv>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: fedora-package-review, itamar, mario.blaettermann, martin.gieseking, notting, toshio, ycnian
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-15 04:30:37 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Andres 2011-05-28 14:06:06 EDT
Spec URL: http://morpheusv.fedorapeople.org/jp2a.spec
SRPM URL: http://morpheusv.fedorapeople.org/jp2a-1.0.6-1.fc15.src.rpm
Description: 
jp2a is a small command-line utility for converting JPEG images
to ASCII art.
Comment 1 Yanchuan Nian 2011-05-30 11:13:25 EDT
Hi Andres,
There are some problems with your package.
(1)There is only one percent sign in your comment, but macros are expanded first,
so you need to double it.See here:
https://fedoraproject.org/wiki/How_to_create_an_RPM_package
(2)The license must be specific instead of just "GPL".
(3)The summary doesn't begin with a capital letter.
Maybe you need run rpmlint first.
Comment 2 Andres 2011-06-03 07:10:28 EDT
thanks for making observations, You can find the new spec at 

http://morpheusv.fedorapeople.org/jp2a/1.0.6-2/jp2a.spec
http://morpheusv.fedorapeople.org/jp2a/1.0.6-2/jp2a-1.0.6-2.fc15.src.rpm

this is a result the rpmlint SPECS/jp2a.spec:
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Itamar Reis Peixoto 2011-06-03 10:58:07 EDT
you're already sponsored by toshio at fudcon-panama , removing 	FE-NEEDSPONSOR
Comment 4 Itamar Reis Peixoto 2011-06-03 14:07:05 EDT
Can you post here a link to a koji scratch build ?
Comment 5 Andres 2011-06-04 19:16:36 EDT
this is the link  koji scratch build :  http://koji.fedoraproject.org/koji/taskinfo?taskID=3111554
Comment 6 Itamar Reis Peixoto 2011-06-05 09:11:12 EDT
look at buildlog, I think  BuildRequires is missing for curl-devel and ncurses-devel


checking for curl-config... no
checking for curl_easy_init in -lcurl... no
configure: WARNING: I need a working libcurl (use --with-curl-config=PATH); download-support will be disabled


checking for tgetent in -lterminfo... no
configure: WARNING: probably need a terminal library, one of: ncurses curses termlib termcap terminfo
Comment 7 Andres 2011-06-11 22:44:14 EDT
has built libcurl-devel.
It has been tested to install and uninstall the package in a test in a PC and has been installed successfully.

you can find the new spec at:
http://morpheusv.fedorapeople.org/jp2a/1.0.6-3/jp2a.spec
http://morpheusv.fedorapeople.org/jp2a/1.0.6-3/jp2a-1.0.6-3.fc15.src.rpm

this is the link  koji scratch build : 
http://koji.fedoraproject.org/koji/taskinfo?taskID=3126525

I'll watch for comments or approval.
Comment 8 Itamar Reis Peixoto 2011-06-16 01:38:31 EDT
I still see the warning about curl 

http://koji.fedoraproject.org/koji/getfile?taskID=3126526&name=build.log

configure: WARNING: probably need a terminal library, one of: ncurses curses termlib termcap terminfo
Comment 9 Itamar Reis Peixoto 2011-06-16 01:39:42 EDT
I use macros in this way
%{name}-%{version}
Comment 10 Martin Gieseking 2011-07-28 15:21:42 EDT
Some more notes:

- I agree, BR ncurses-devel is missing and should be added. It's required to
  get the current terminal size. Without it, default values are used.

- Adapt Source0 according to 
  http://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

- Choose a more appropriate Group, e.g. Applications/Text

- Add file COPYING to the package.

- Be a bit more specific in %files, i.e. replace 
  %{_mandir}/man1/* with %{_mandir}/man1/%{name}.1*
Comment 11 Mario Blättermann 2012-07-29 07:19:11 EDT
Is there any progress in this review? Andres, are you still interested in to maintain this package?
Comment 12 Andres 2012-07-30 11:01:48 EDT
(In reply to comment #11)
> Is there any progress in this review? Andres, are you still interested in to
> maintain this package?

Sure you can, I am still interested in keeping the package. Soon I'll upload the new revision.
Comment 13 Mario Blättermann 2012-09-06 03:35:05 EDT
Any progress in the meantime? If you provide new files, I will do the review.
Comment 14 Mario Blättermann 2012-10-06 11:59:27 EDT
Two months after your last answer... Any news? If not, it would be time to close this as FE-DEADREVIEW.